public class Storagetransfer.TransferOperations extends Object
| Modifier and Type | Class and Description |
|---|---|
class |
Storagetransfer.TransferOperations.Cancel |
class |
Storagetransfer.TransferOperations.Get |
class |
Storagetransfer.TransferOperations.List |
class |
Storagetransfer.TransferOperations.Pause |
class |
Storagetransfer.TransferOperations.Resume |
| Constructor and Description |
|---|
TransferOperations() |
| Modifier and Type | Method and Description |
|---|---|
Storagetransfer.TransferOperations.Cancel |
cancel(String name,
CancelOperationRequest content)
Cancels a transfer.
|
Storagetransfer.TransferOperations.Get |
get(String name)
Gets the latest state of a long-running operation.
|
Storagetransfer.TransferOperations.List |
list(String name,
String filter)
Lists transfer operations.
|
Storagetransfer.TransferOperations.Pause |
pause(String name,
PauseTransferOperationRequest content)
Pauses a transfer operation.
|
Storagetransfer.TransferOperations.Resume |
resume(String name,
ResumeTransferOperationRequest content)
Resumes a transfer operation that is paused.
|
public Storagetransfer.TransferOperations.Cancel cancel(String name, CancelOperationRequest content) throws IOException
AbstractGoogleClientRequest.execute() method to invoke the remote operation.name - The name of the operation resource to be cancelled.content - the CancelOperationRequestIOExceptionpublic Storagetransfer.TransferOperations.Get get(String name) throws IOException
AbstractGoogleClientRequest.execute() method to invoke the remote operation.name - The name of the operation resource.IOExceptionpublic Storagetransfer.TransferOperations.List list(String name, String filter) throws IOException
AbstractGoogleClientRequest.execute() method to invoke the remote operation.name - Required. The name of the type being listed; must be `transferOperations`.filter - Required. A list of query parameters specified as JSON text in the form of:
`{"projectId":"my_project_id", "jobNames":["jobid1","jobid2",...],
"operationNames":["opid1","opid2",...], "transferStatuses":["status1","status2",...]}`
Since `jobNames`, `operationNames`, and `transferStatuses` support multiple values, they
must be specified with array notation. `projectId` is required. `jobNames`,
`operationNames`, and `transferStatuses` are optional. The valid values for
`transferStatuses` are case-insensitive: IN_PROGRESS, PAUSED, SUCCESS, FAILED, and
ABORTED.IOExceptionpublic Storagetransfer.TransferOperations.Pause pause(String name, PauseTransferOperationRequest content) throws IOException
AbstractGoogleClientRequest.execute() method to invoke the remote operation.name - Required. The name of the transfer operation.content - the PauseTransferOperationRequestIOExceptionpublic Storagetransfer.TransferOperations.Resume resume(String name, ResumeTransferOperationRequest content) throws IOException
AbstractGoogleClientRequest.execute() method to invoke the remote operation.name - Required. The name of the transfer operation.content - the ResumeTransferOperationRequestIOExceptionCopyright © 2011–2023 Google. All rights reserved.